=== debian/changelog ===
ros-kinetic-rocon-python-comms (0.3.2-1xenial) xenial; urgency=high

  * master check via the rosparam server bugfix
  * allow named services in batching functions
  * drop pyros_test

 -- AlexV <asmodehn@gmail.com>  Tue, 10 May 2016 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.3.1-1xenial) xenial; urgency=high

  * [rocon_python_comms] connection cache node

 -- AlexV <asmodehn@gmail.com>  Tue, 15 Mar 2016 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.3.0-1xenial) xenial; urgency=high

  * lots of minor api added

 -- AlexV <asmodehn@gmail.com>  Fri, 09 Oct 2015 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.2.0-1xenial) xenial; urgency=high

  * one shot and indefinite waiting for service pair clients
  * basename function for ros names
  * convenience service/publisher/subscriber mass producers
  * connection cache node prototype
  * connection cache class moved here from the gateway for multi-use

 -- AlexV <asmodehn@gmail.com>  Mon, 17 Aug 2015 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.16-1xenial) xenial; urgency=high

  * use exceptions informative way #79 <https://github.com/robotics-in-concert/rocon_tools/issues/79>
  * update logic of find_service_namespace #79 <https://github.com/robotics-in-concert/rocon_tools/issues/79>
  * rename is_valid_service
  * rename is_valid_service to service_is_available
  * update namespace finder and service validation checker
  * Contributors: Jihoon Lee, dwlee

 -- AlexV <asmodehn@gmail.com>  Sun, 01 Mar 2015 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.15-1xenial) xenial; urgency=high



 -- AlexV <asmodehn@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.14-1xenial) xenial; urgency=high



 -- AlexV <asmodehn@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.13-1xenial) xenial; urgency=high

  * delete command option about port and implement to set port when terminal is spawned
  * make remocon_delay test
  * Contributors: dwlee

 -- AlexV <asmodehn@gmail.com>  Sun, 11 Jan 2015 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.12-1xenial) xenial; urgency=high



 -- AlexV <asmodehn@gmail.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.11-1xenial) xenial; urgency=high



 -- AlexV <asmodehn@gmail.com>  Mon, 01 Dec 2014 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.10-1xenial) xenial; urgency=high



 -- AlexV <asmodehn@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.9-1xenial) xenial; urgency=high

  * to fix #54 <https://github.com/robotics-in-concert/rocon_tools/issues/54>
  * move from symbolic links to includes for changelogs to avoid eclipse bewilderment.
  * Contributors: Daniel Stonier, Jihoon Lee

 -- AlexV <asmodehn@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.7-1xenial) xenial; urgency=high

  * update publisher queue_size to avoid warning in indigo.
  * robustify find_service against zombie services, closes #42 <https://github.com/robotics-in-concert/rocon_tools/issues/42>.
  * updated usage examples for service pairs.
  * Contributors: Daniel Stonier

 -- AlexV <asmodehn@gmail.com>  Sun, 25 May 2014 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.5-1xenial) xenial; urgency=high

  * sphinx documentation added.
  * better feedback on service communication errors.
  * comment find_node that it only accepts unresolved names.
  * fix missing list return for non-unique find_service requests
  * Contributors: Daniel Stonier

 -- AlexV <asmodehn@gmail.com>  Sun, 04 May 2014 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.2-1xenial) xenial; urgency=high

  * bugfix location of rospair bash file.
  * Contributors: Daniel Stonier

 -- AlexV <asmodehn@gmail.com>  Tue, 01 Apr 2014 15:00:00 -0000

ros-kinetic-rocon-python-comms (0.1.0-1xenial) xenial; urgency=high

  * bugfix missing list return for non-unique find_topic_requests.
  * add find_node function including rostests.
  * add find_topic function.
  * find_service should catch exceptions when ros shuts down too.
  * add find_service function.
  * optional threaded callbacks for service pair servers.
  * testing against quick calls of the service server.
  * wall rate from rocon_utilities.
  * subscriber proxy from rocon_utilities.
  * rospair command line tool with call, type, list and bash completion.
  * rospair command line tool list functionality
  * ported in service pairs from multimaster.
  * Contributors: Daniel Stonier, Marcus Liebhardt

 -- AlexV <asmodehn@gmail.com>  Sun, 30 Mar 2014 15:00:00 -0000
